# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-12-01 10:37
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import documents.models
import enumfields.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('images', '0002_auto_20171123_0820'),
        ('documents', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Document',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('type', enumfields.fields.EnumField(
                    enum=documents.models.DocumentType, max_length=50)),
                ('name', models.CharField(max_length=250)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DocumentZone',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('folio', models.CharField(max_length=250)),
                ('type', enumfields.fields.EnumField(blank=True,
                                                     enum=documents.models.PageType, max_length=50, null=True)),
                ('nb', models.PositiveIntegerField(blank=True, null=True)),
                ('direction', enumfields.fields.EnumField(
                    blank=True, enum=documents.models.PageDirection, max_length=10, null=True)),
                ('document', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                               related_name='pages', to='documents.Document')),
                ('image', models.OneToOneField(
                    on_delete=django.db.models.deletion.CASCADE, related_name='page', to='images.Image')),
            ],
        ),
        migrations.CreateModel(
            name='Volume',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=250)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='transcription',
            name='zone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                    related_name='transcriptions', to='images.Zone'),
        ),
        migrations.AlterUniqueTogether(
            name='transcription',
            unique_together=set([('zone', 'text')]),
        ),
    ]
