# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-04-20 13:00
from __future__ import unicode_literals

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0007_auto_20180419_1040'),
    ]

    operations = [
        migrations.RunSQL(
            """
            CREATE OR REPLACE RECURSIVE VIEW documents_parents(id, child_id, parent_id) AS (
                    SELECT dd.id, ddl.child_id, ddl.parent_id
                    FROM documents_documentlink ddl, documents_document dd
                    WHERE dd.id = ddl.child_id
                UNION
                    SELECT pd.id, ddl.child_id, ddl.parent_id
                    FROM documents_documentlink ddl INNER JOIN documents_parents pd
                    ON pd.parent_id = ddl.child_id
            );
            """,
            reverse_sql="DROP VIEW IF EXISTS documents_parents;"
        ),
        migrations.RunSQL(
            """
            CREATE OR REPLACE RECURSIVE VIEW documents_children(id, child_id, parent_id) AS (
                    SELECT dd.id, ddl.child_id, ddl.parent_id
                    FROM documents_documentlink ddl, documents_document dd
                    WHERE dd.id = ddl.parent_id
                UNION
                    SELECT cd.id, ddl.child_id, ddl.parent_id
                    FROM documents_documentlink ddl INNER JOIN documents_children cd
                    ON cd.child_id = ddl.parent_id
            );
            """,
            reverse_sql="DROP VIEW IF EXISTS documents_children;"
        )
    ]
