from django.views.generic import TemplateView, DetailView
from documents.models import Document, DocumentType


class VolumesList(TemplateView):
    """
    List volumes using Vue JS + API
    """
    template_name = 'documents/volumes.html'


class VolumePages(DetailView):
    """
    Show volume pages using Vue JS + API
    """
    template_name = 'documents/volume.page.html'
    queryset = Document.objects.filter(type=DocumentType.Volume)
    context_object_name = 'volume'


class PagesSearch(TemplateView):
    """
    Search pages using Vue JS + API
    """
    template_name = 'documents/pages.html'
