# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-11-16 13:44
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('path', models.URLField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='ImageServer',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('url', models.URLField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4,
                                        primary_key=True, serialize=False)),
                ('x', models.PositiveIntegerField()),
                ('y', models.PositiveIntegerField()),
                ('width', models.PositiveIntegerField()),
                ('height', models.PositiveIntegerField()),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                            related_name='zones', to='images.Image')),
            ],
        ),
        migrations.AddField(
            model_name='image',
            name='server',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                    related_name='images', to='images.ImageServer'),
        ),
        migrations.AlterUniqueTogether(
            name='zone',
            unique_together=set([('image', 'x', 'y', 'width', 'height')]),
        ),
        migrations.AlterUniqueTogether(
            name='image',
            unique_together=set([('server', 'path')]),
        ),
    ]
