from rest_framework import serializers
from images.models import Image, Zone


class ZoneSerializer(serializers.ModelSerializer):
    class Meta:
        model = Zone
        fields = (
            'id',
            'x',
            'y',
            'width',
            'height',
            'url',
        )


class ImageSerializer(serializers.ModelSerializer):
    """
    Serialises an image
    """
    class Meta:
        model = Image
        fields = (
            'id',
            'path',
            'url',
        )
